# Quick Start

#### Getting Started

1. Create an API Key
   1. Access [Arcee Platform](https://chat.arcee.ai/), Register or Login.
   2. Access [Wallet](https://chat.arcee.ai/api/wallet) to top up if needed.
   3. Create an API Key in the [API Keys](https://chat.arcee.ai/api/api-keys) management page.
   4. Copy your API Key for use and store in a secure location.

<table data-view="cards"><thead><tr><th></th><th></th></tr></thead><tbody><tr><td><a href="https://chat.arcee.ai/">Arcee API Platform</a></td><td>Access Arcee Platform, Register or Login.</td></tr><tr><td><a href="https://chat.arcee.ai/api/api-keys">API Key Management</a></td><td>Create an API Key in the API Keys management page.</td></tr><tr><td><a href="https://docs.arcee.ai/~/revisions/UOfL3qIelQCFUdc2TpQu/quick-deploys">Deploy a Model</a></td><td>Learn how to deploy our models on your own infrastructure.</td></tr></tbody></table>

2. Choose Model

> Arcee Platform offers a variety of models in different sizes, and you can select the appropriate model based on your needs. For detailed model introductions, please refer to our [available models](https://docs.arcee.ai/get-started/models-overview).

3. Make your first API Call

After preparing your `API Key` and selecting a model, you can start making API calls. Here are examples using `curl`, `Python`, and `JavaScript`:

{% tabs %}
{% tab title="curl" %}

```bash
curl -X POST "https://api.arcee.ai/api/v1/chat/completions" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer api-key" \
  -d '{
    "model": "trinity-mini",
    "messages": [
      {
        "role": "user",
        "content": "Hello, how are you?"
      }
    ]
  }'
```

{% endtab %}

{% tab title="Python" %}

```python
from openai import OpenAI 

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.arcee.ai/api/v1"
)

response = client.chat.completions.create(
    model="trinity-mini",
    messages=[
        {"role": "system", "content": "You are a helpful assistant"},
        {"role": "user", "content": "What is 25 + 37?"},
    ],
    stream=False
)

print(response.choices[0].message.content)
print(response.choices[0].message.reasoning)
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
import OpenAI from "openai";

const openai = new OpenAI({
    baseURL: 'https://api.arcee.ai/api/v1',
    apiKey: 'YOUR_API_KEY'
});

async function main() {
  const completion = await openai.chat.completions.create({
    messages: [
      { role: "system", content: "You are a helpful assistant." },
      { role: "user", content: "What is 25 + 37?" }
    ],
    model: "trinity-mini",
  });

  console.log(completion.choices[0].message.content);
  console.log(completion.choices[0].message.reasoning);
}

main();
```

{% endtab %}
{% endtabs %}
